Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 450859 - Cannot retrieve repository metadata (repomd.xml) for repository: fedora. Please verify its path and try again
Summary: Cannot retrieve repository metadata (repomd.xml) for repository: fedora. Plea...
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: yum
Version: 9
Hardware: x86_64
OS: Linux
low
urgent
Target Milestone: ---
Assignee: Seth Vidal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-11 13:48 UTC by Mamdouh M
Modified: 2014-01-21 23:03 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-06-12 19:15:54 UTC


Attachments (Terms of Use)

Description Mamdouh M 2008-06-11 13:48:45 UTC
Description of problem:Cannot retrieve repository metadata (repomd.xml) for
repository: fedora. Please verify its path and try again

Comment 1 seth vidal 2008-06-11 14:08:03 UTC
What command were you running?
Were you running it as a user or as root?
Have you modified your .repo files?

We need a lot more information before we can proceed.

Comment 2 Mamdouh M 2008-06-12 03:13:57 UTC
 
I was running # yum install
also the same problem with # yum update

This problem happens either with yum or yumex

=============================================

I run it as root  

=============================================

I have no idea if I modified my .repo files or not,I don't know how to figure
that out because I'm still newbie to Linux.  
If the problem has something to do with modifying .repo files, could you please
tell me step by step how to set .repo files right.

Thank you

Comment 3 James Antill 2008-06-12 03:50:39 UTC
 Is this still happening? There was a network related problem with Fedora this
week that would explain the above message, if it has now gone (you'll have to
run yum as root).

 If it is still happening, can you run these two commands and post all of their
output:

1. "yum -d9 list updates"
2. nl /etc/yum.conf /etc/yum.repos.d/fedora.repo

Comment 4 Mamdouh M 2008-06-12 04:19:59 UTC
No, it's gone now, problem is solved.

====================================

Thank you for helping.


Comment 5 Lee Taylor 2009-08-31 13:43:48 UTC
yum -d9 list updates
Not loading "blacklist" plugin, as it is disabled
Loading "dellsysidplugin2" plugin
Loading "fastestmirror" plugin
Loading "presto" plugin
Loading "protectbase" plugin
Loading "refresh-packagekit" plugin
Not loading "whiteout" plugin, as it is disabled
Running "config" handler for "presto" plugin
Running "config" handler for "protectbase" plugin
Running "postconfig" handler for "dellsysidplugin2" plugin
Config time: 0.331
Running "init" handler for "dellsysidplugin2" plugin
Running "init" handler for "fastestmirror" plugin
Yum Version: 3.2.23
COMMAND: yum -d9 list updates 
Installroot: /
Ext Commands:

   updates
Setting up Package Sacks
Running "postreposetup" handler for "fastestmirror" plugin
Loading mirror speeds from cached hostfile
 * livna: rpm.livna.org
 * rpmfusion-free: download1.rpmfusion.org
 * rpmfusion-free-updates: download1.rpmfusion.org
 * rpmfusion-nonfree: download1.rpmfusion.org
 * rpmfusion-nonfree-updates: download1.rpmfusion.org
http://www.dfm.uninsubria.it/compiz/fusion-testing/qbittorrent/11/i386/repodata/repomd.xml: [Errno 14] HTTP Error 404: Not Found
Trying other mirror.
Error: Cannot retrieve repository metadata (repomd.xml) for repository: qbittorrent. Please verify its path and try again
[root@localhost ~]# nl /etc/yum.conf /etc/yum.repos.d/fedora.repo
     1	[main]
     2	cachedir=/var/cache/yum
     3	keepcache=0
     4	debuglevel=2
     5	logfile=/var/log/yum.log
     6	exactarch=1
     7	obsoletes=1
     8	gpgcheck=1
     9	plugins=1
    10	installonly_limit=3
       
    11	#  This is the default, if you make this bigger yum won't see if the metadata
    12	# is newer on the remote and so you'll "gain" the bandwidth of not having to
    13	# download the new metadata and "pay" for it by yum not having correct
    14	# information.
    15	#  It is esp. important, to have correct metadata, for distributions like
    16	# Fedora which don't keep old packages around. If you don't like this checking
    17	# interupting your command line usage, it's much better to have something
    18	# manually check the metadata once an hour (yum-updatesd will do this).
    19	# metadata_expire=90m
       
    20	# PUT YOUR REPOS HERE OR IN separate files named file.repo
    21	# in /etc/yum.repos.d
    22	[fedora]
    23	protect=yes
    24	name=Fedora $releasever - $basearch
    25	failovermethod=priority
    26	baseurl=http://download.fedoraproject.org/pub/fedora/linux/releases/$releasever/Everything/$basearch/os/
    27	#mirrorlist=http://mirrors.fedoraproject.org/mirrorlist?repo=fedora-$releasever&arch=$basearch
    28	enabled=1
    29	gpgcheck=1
    30	gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-$basearch
       
    31	[fedora-debuginfo]
    32	protect=yes
    33	name=Fedora $releasever - $basearch - Debug
    34	failovermethod=priority
    35	baseurl=http://download.fedoraproject.org/pub/fedora/linux/releases/$releasever/Everything/$basearch/debug/
    36	#mirrorlist=http://mirrors.fedoraproject.org/mirrorlist?repo=fedora-debug-$releasever&arch=$basearch
    37	enabled=0
    38	gpgcheck=1
    39	gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-$basearch
       
    40	[fedora-source]
    41	protect=yes
    42	name=Fedora $releasever - Source
    43	failovermethod=priority
    44	baseurl=http://download.fedoraproject.org/pub/fedora/linux/releases/$releasever/Everything/source/SRPMS/
    45	#mirrorlist=http://mirrors.fedoraproject.org/mirrorlist?repo=fedora-source-$releasever&arch=$basearch
    46	enabled=0
    47	gpgcheck=1
    48	gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-$basearch

Comment 6 seth vidal 2009-08-31 13:55:28 UTC
(In reply to comment #5)
> http://www.dfm.uninsubria.it/compiz/fusion-testing/qbittorrent/11/i386/repodata/repomd.xml:
> [Errno 14] HTTP Error 404: Not Found
> Trying other mirror.
> Error: Cannot retrieve repository metadata (repomd.xml) for repository:
> qbittorrent. Please verify its path and try again


The path
http://www.dfm.uninsubria.it/compiz/fusion-testing/qbittorrent/11/i386/repodata/repomd.xml

does not exist. it appears that repo did not provide a fedora 11 version.


Note You need to log in before you can comment on or make changes to this bug.